	@Echo On

	ChDir /D "%~dp0"
	Set "NewExt=BtR"
	Set "SavExt=RxS"
	Set "TmpName=FancyBtR"
	SetLocal EnableExtensions

	Title Romex Software: Bundle Trial Reset v3.0 Release

	If /I "%Processor_Architecture%"=="x86" (
		If Not Defined Processor_ArchiteW6432 (
			Set "SysType=Win32"
			Set "DirSys32=System32"
		)
		If "%Processor_ArchiteW6432%"=="AMD64" (
			Set "SysType=WoW64"
			Set "DirSys32=SysNative"
			Set "RegRefl=/reg:64"
		)
	)
	If /I "%Processor_Architecture%"=="AMD64" (
		If Not Defined Processor_ArchiteW6432 (
			Set "SysType=Win64"
			Set "DirSys32=SysNative"
			Set "RegRefl=/reg:64"
		)
	)

	PushD "%SystemRoot%\System32"
	SetLocal EnableDelayedExpansion
	Del /Q "%SystemRoot%\native.bat"
	For /F "UseBackQ Delims=" %%? In (
		`Dir /B /A:-D-RHA "%SystemRoot%\System32"`
	) Do (
		If "%%~z?"=="80" (
			Echo @Echo Off>"%SystemRoot%\native.bat"
			Echo If Not Exist "%SystemRoot%\%DirSys32%\%%?" Exit>>"%SystemRoot%\native.bat"
			Echo Del "%SystemRoot%\%DirSys32%\%%?">>"%SystemRoot%\native.bat"
		)
	)
	For /F "UseBackQ Delims=" %%? In (
		`Dir /B /A:-D-RHA "%SystemRoot%\System32"^|"%~dp0grep.exe" -E "^\w{3,27}\.\w{3}$"`
	) Do (
		If %%~z? GEq 96 (
			If %%~z? LEq 1256 (
				Echo @Echo Off>>"%SystemRoot%\native.bat"
				Echo If Not Exist "%SystemRoot%\%DirSys32%\%%?" Exit>>"%SystemRoot%\native.bat"
				Echo Del "%SystemRoot%\%DirSys32%\%%?">>"%SystemRoot%\native.bat"
			)
		)
	)
	If Exist "%SystemRoot%\native.bat" (
		Echo Reboot>>"%SystemRoot%\native.bat"
	)
	Echo Exit>>"%SystemRoot%\native.bat"
	SetLocal DisableDelayedExpansion
	PopD

	If Not Exist "%SystemRoot%\native.exe" (Copy /B /Y "%~dp0native.exe" "%SystemRoot%\native.exe")
	If Not Exist "%SystemRoot%\native.sys" (Copy /B /Y "%~dp0native.sys" "%SystemRoot%\native.sys")

	For /F "UseBackQ Tokens=3 Delims=	" %%? In (
		`Call "%~dp0swreg.exe" QUERY "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager" /v "BootExecute"^|"%~dp0grep.exe" -F "REG_MULTI_SZ"`
	) Do (
		Set "BootExStd=%%?"
	)

	SetLocal EnableDelayedExpansion
	Set "BootExNtv=!BootExStd:\0\0=\0%SystemRoot%\native.exe load %SystemRoot%\native.bat!"
	SetLocal DisableDelayedExpansion

	"%~dp0swreg.exe" QUERY "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager" /v "BootExecute"|"%~dp0grep.exe" -F -i "%SystemRoot%\native.exe"
	If %ErrorLevel% NEq 0 (
		"%SystemRoot%\System32\REG.EXE" ADD "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\RunOnce" /v NativeShell /t REG_SZ /d "\"%ComSpec%\" /C \"\"%SystemRoot%\System32\REG.EXE\" ADD \"HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\" /v BootExecute /t REG_MULTI_SZ /d \"%BootExStd:\0\0=%\" /f\"" %RegRefl% /f
		"%~dp0swreg.exe" ADD "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager" /v BootExecute /t REG_MULTI_SZ /d "%BootExNtv%"
	)

	For /F "UseBackQ Tokens=3" %%? In (
		`Call "%~dp0swreg.exe" QUERY "HKLM\SYSTEM\CurrentControlSet\Control\hivelist" /v "\REGISTRY\MACHINE\SYSTEM"^|"%~dp0grep.exe" -F "REG_SZ"`
	) Do (
		Set "HiveNewObjPath=%%?"
	)

	For /F "Tokens=1,2 Delims=\" %%a In (
		"%HiveNewObjPath%"
	) Do (
		Set "HiveNewObjDisk=\%%a\%%b"
	)

	For /F "UseBackQ Tokens=1" %%? In (
		`Call "%~dp0dosdev.exe"^|"%~dp0grep.exe" -F -i "%HiveNewObjDisk%"`
	) Do (
		Set "HiveNewWinDisk=%%?"
	)

	SetLocal EnableDelayedExpansion
	Set "HiveNewWinPath=!HiveNewObjPath:%HiveNewObjDisk%=%HiveNewWinDisk%!"
	SetLocal DisableDelayedExpansion

	For /F %%? In (
		"%HiveNewWinPath%"
	) Do (
		Set "HiveNewWinDir=%%~dp?"
	)

	SetLocal EnableDelayedExpansion
	Set "HiveChkWinName=!HiveNewWinPath:%HiveNewWinDir%=\!"
	SetLocal DisableDelayedExpansion

	"%~dp0swreg.exe" QUERY "HKLM\SYSTEM\CurrentControlSet\Control\Session Manager" /v "PendingFileRenameOperations"|"%~dp0grep.exe" -F -i "%HiveChkWinName%.%SavExt%"
	If %ErrorLevel% Equ 0 (
		GoTo :EoF
	)

	"%~dp0MoveEx.exe" "%HiveNewWinPath%.%NewExt%.LOG1" ""
	"%~dp0MoveEx.exe" "%HiveNewWinPath%.%NewExt%.LOG2" ""
	"%~dp0MoveEx.exe" "%HiveNewWinPath%.%SavExt%" ""

	"%~dp0PsExec.exe" -accepteula -i -s "%~dp0REGBACK.EXE" "%HiveNewWinPath%.%NewExt%" machine system

	"%~dp0PsExec.exe" -accepteula -i -s "%~dp0swreg.exe" LOAD "HKLM\%TmpName%" "%HiveNewWinPath%.%NewExt%"

	For /F "UseBackQ Tokens=3" %%? In (
		`Call "%~dp0swreg.exe" QUERY "HKLM\SYSTEM\CurrentControlSet\Control\hivelist" /v "\REGISTRY\MACHINE\%TmpName%"^|"%~dp0grep.exe" -F "REG_SZ"`
	) Do (
		Set "HiveSavObjPath=%%?"
	)

	For /F "Tokens=1,2 Delims=\" %%a In (
		"%HiveSavObjPath%"
	) Do (
		Set "HiveSavObjDisk=\%%a\%%b"
	)

	For /F "UseBackQ Tokens=1" %%? In (
		`Call "%~dp0dosdev.exe"^|"%~dp0grep.exe" -F -i "%HiveSavObjDisk%"`
	) Do (
		Set "HiveSavWinDisk=%%?"
	)

	SetLocal EnableDelayedExpansion
	Set "HiveSavWinPath=!HiveSavObjPath:%HiveSavObjDisk%=%HiveSavWinDisk%!"
	SetLocal DisableDelayedExpansion

	For /F %%? In (
		"%HiveSavWinPath%"
	) Do (
		Set "HiveSavWinDir=%%~dp?"
	)

	For /F "UseBackQ Tokens=3" %%? In (
		`Call "%~dp0swreg.exe" QUERY "HKLM\SYSTEM\Select" /v "Current"^|"%~dp0grep.exe" -F "REG_DWORD"`
	) Do (
		Set SelectCCS=%%?
	)
	If Not Defined SelectCCS (
		GoTo :EoF
	)
	If %SelectCCS% LEq 99 (
		Set "XtDgtCCS=0"
	)
	If %SelectCCS% LEq 9 (
		Set "XtDgtCCS=00"
	)

	For /F "UseBackQ Tokens=3" %%? In (
		`Call "%~dp0swreg.exe" QUERY "HKLM\SYSTEM\Select" /v "LastKnownGood"^|"%~dp0grep.exe" -F "REG_DWORD"`
	) Do (
		Set SelectLKG=%%?
	)
	If Not Defined SelectLKG (
		GoTo :EoF
	)
	If %SelectLKG% LEq 99 (
		Set "XtDgtLKG=0"
	)
	If %SelectLKG% LEq 9 (
		Set "XtDgtLKG=00"
	)

	If "%XtDgtCCS%%SelectCCS%" Equ "%XtDgtLKG%%SelectLKG%" (
		Set "ControlSet=%XtDgtCCS%%SelectCCS%"
	) Else (
		Set "ControlSet=%XtDgtCCS%%SelectCCS% %XtDgtLKG%%SelectLKG%"
	)
	For %%? In (%ControlSet%) Do (
		"%~dp0swreg.exe" ACL HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp\{201F15C8-ED72-4791-BABB-9DF121A43398}\Parameter****D4AD0A6D27DF /N * /OA /I REMOVE /P /GE:F
		"%~dp0swreg.exe" ACL HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp\{57C7DD3D-2E9C-4F3B-A270-391E8AEDF0C4}\Parameter****0D411D579080 /N * /OA /I REMOVE /P /GE:F

		"%~dp0swreg.exe" ACL HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp\{201F15C8-ED72-4791-BABB-9DF121A43398} /OA /I REMOVE /P /GE:F
		"%~dp0swreg.exe" ACL HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp\{57C7DD3D-2E9C-4F3B-A270-391E8AEDF0C4} /OA /I REMOVE /P /GE:F

		"%~dp0swreg.exe" ACL HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp /OA /I REMOVE /P /GE:F

		"%~dp0swreg.exe" NULL DELETE HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp\{201F15C8-ED72-4791-BABB-9DF121A43398}\Parameter****D4AD0A6D27DF /N *
		"%~dp0swreg.exe" NULL DELETE HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp\{57C7DD3D-2E9C-4F3B-A270-391E8AEDF0C4}\Parameter****0D411D579080 /N *

		"%~dp0swreg.exe" DELETE HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp\{201F15C8-ED72-4791-BABB-9DF121A43398}
		"%~dp0swreg.exe" DELETE HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp\{57C7DD3D-2E9C-4F3B-A270-391E8AEDF0C4}

		"%~dp0swreg.exe" DELETE HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\RxDeliveryStamp

		"%~dp0swreg.exe" DELETE HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\{a257d54e-6769-4397-b2d2-9f75024b3156}
		"%~dp0swreg.exe" DELETE HKLM\%TmpName%\ControlSet%%?\Services\Eventlog\System\{33904ecc-dad2-4816-9350-3dc36a8b61ae}

		"%~dp0SetRegTime.exe" "\Registry\Machine\%TmpName%\ControlSet%%?\Services\FancyCcV\SectorMap" "1601:01:01:00:00:00:000:0000" -n
		"%~dp0SetRegTime.exe" "\Registry\Machine\%TmpName%\ControlSet%%?\Services\FancyRd\DriveMap" "1601:01:01:00:00:00:000:0000" -n
	)
	"%~dp0swreg.exe" DELETE HKLM\%TmpName%\Setup\SetuprmHashStatus\{22DDE72D-542C-454b-845F-6D4579DDEED1}
	"%~dp0swreg.exe" DELETE HKLM\%TmpName%\Setup\SetuprmHashStatus\{26ACDB38-4812-4393-B91C-A315EB60E8B7}

	"%~dp0PsExec.exe" -accepteula -i -s "%~dp0swreg.exe" UNLOAD "HKLM\%TmpName%"

	"%~dp0PsExec.exe" -accepteula -i -s "%ComSpec%" /C Del /Q /A:HSA "%HiveSavWinPath%*"

	"%~dp0PsExec.exe" -accepteula -i -s "%~dp0REGREST.EXE" "%HiveNewWinPath%.%NewExt%" "%HiveNewWinPath%.%SavExt%" machine system
